<style>
    .modal-dialog {
         max-width: 800px;
    }
    </style>
<div class="breadcrumbs overlay holiday-breadcrumbs" data-stellar-background-ratio="0.7">

</div>

<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item" ng-click="goBack('/home')">
                        Search
                        <i class="icon-tick-bold"></i>
                    </a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/holidaySearchResult')" href>
                        Choose Flight <i class="icon-tick-bold"></i>
                    </a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/holidaySearchResult')" href>
                        Choose Hotel <i class="icon-tick-bold"></i>
                    </a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/holidayDetails')" href> Choose Room <i class="icon-tick-bold"></i></a>

                </li>
                <li class="active">
                    <span class="item">
                        Choose Extras
                    </span>
                </li>
                <li>
                    <span class="item">
                        Book
                    </span>
                </li>
            </ul>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-md-12 review">
            <h3>
                Review Your Holiday
            </h3>
        </div>
    </div>
    <div class="row mb-4">
        <div class="col-lg-8 col-md-8 col-sm-8 col-12">
            <div class="card book-review">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="flight-info-section">
                          <h4 class="sc-c-heading">Flights</h4>
 
                                <!-- <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
                                    <i class="o-icon-label__icon icon-information"></i>
                                    <span class="o-icon-label__caption">Flight Details</span>

                                </a> -->
                            </div>
							                           
                        
                            <div class="airline-logo pad-left-35X" style="margin-top:10px;">
                                <img src="images/Airlines/sm{{flightReview1.airline}}.png">
								<p style="font-size:small; margin-top:10px;">{{flightReview1.airlineName}}</p>
						   </div>
							 
                        </div>
                        
                        
                        <div class="col-md-8 pt-0">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row">
									 <div class="col-md-12">
                                            <div class="summary sc-u-grid-gutter-y--sm flight-summary" data-flight="hbs.flight" data-change-flight-enabled="true">
                                               <!--  <h4 class="sc-c-heading">Flights</h4> -->
											   <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlightInfo('lg');">
                                    <i class="o-icon-label__icon icon-information" style="right:250px;"></i>
                                    <span class="o-icon-label__caption">Flight Details</span>

                                </a>
                                                <!---->
                                                <div class="flight-leg">
                                                    <!-- <i class="leg-icon icon-flight-out" ng-class="::leg.IsOutboundLeg ? 'icon-flight-out' : 'icon-flight-in'"></i> -->
                                                    <i class="leg-icon icon-flight-out"></i>
                                                    <div class="airports">
                                                        <span ng-bind="flightReview.frmAirprt.split(',')[1]"></span>
                                                        <i class="arrow-icon icon-chevron-forward"></i>
                                                        <span ng-bind="flightReview.toAirprt.split(',')[1]"></span>
                                                    </div>
                                                    <div class="details">
                                                        <span class="date">{{flightReview1.fltInfoList[0].dispStartDate}}</span>
                                                        <span>{{flightReview1.startTime}}</span>
                                                        <i class="arrow-icon sc-u-text--bidi icon-chevron-forward"></i>
                                                        <span>{{flightReview1.arrivalTime}}</span>
                                                        <!---->
                                                    </div>
                                                </div>
                                                <!---->
												
                                                <div class="flight-leg">
                                                    <i class="leg-icon icon-flight-in"></i>
                                                    <!-- <i class="leg-icon icon-flight-in" ng-class="::leg.IsOutboundLeg ? 'icon-flight-out' : 'icon-flight-in'"></i> -->
                                                    <div class="airports">
                                                        <span ng-bind="flightReview.toAirprt.split(',')[1]"></span>
                                                        <i class="arrow-icon icon-chevron-forward"></i> <span ng-bind="flightReview.frmAirprt.split(',')[1]"></span>
                                                    </div>
                                                    <div class="details">
                                                        <span class="date">{{flightReview2.fltInfoList[0].dispStartDate}}</span>
                                                        <span>{{flightReview2.startTime}}</span>
                                                        <i class="arrow-icon sc-u-text--bidi icon-chevron-forward"></i>
                                                        <span>{{flightReview2.arrivalTime}}</span>
                                                        <!----><span class="day-diff" ng-if="::leg.DayDiff != ''" tooltip="Arrives on Wed 01 Aug 2018">
                                                            (+1)
                                                        </span>
                                                        <!---->
                                                    </div>
                                                </div><br/><br/>
                                                <!---->
												<ul class="inline-info-list">
                                                   
                                                </ul>
                                            </div>
                                        </div>
                                        
                                       
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="row">
                    	<div class="col-md-4 col-sm-4 col-12">
							 <h4 class="sc-c-heading">Hotels</h4>
							   <!--  <a class="details-link o-icon-label o-icon-label--sm" >
                                    <span class="o-icon-label__caption">Hotel Details</span>
								</a> -->
							<figure class="my-0">
                                <img src="{{hotelResp.searchResults[0].galleries[0].path}}" />
                            </figure>
                        </div>
                        
                        
                        <div class="col-md-8 col-sm-8 col-12">
                        	<div class="row">
                        		
<div class="col-md-12">
                                            <h5>{{hotelRespreprice.name}}</h5>
                                            <ul class="sc-c-listing-card__ratings inline-info-list">
                                                <li ng-repeat="i in getNumber(hotelDetails.star) track by $index">
                                                    <i class="fa fa-star" aria-hidden="true"></i>
                                                </li>
                                            </ul>
                                            <p><span style="color:red;" class="hyperlink"><i class="o-icon-label__icon icon-pin"></i> {{hotelRespreprice.address}}</span></p>
                                            <div class="dates">
                                                <p>
                                                    <span class="sc-u-text--bold">{{hotelResp.checkInDate}} &minus; {{hotelResp.checkOutDate}}</span>
                                                </p>
                                            </div>
                                            <div ng-repeat="roomName in repriceResp.repriceResponse.roomDetails">
                                                    <b>Room-{{$index+1}}</b>&nbsp;{{roomName.roomType.replace('.', '')}}
                                                <p class="room-description"> </p>
                                                <span class="hype-2" ng-bind-html="renderHTMLFactory.renderHTML(roomName.cancellationPolicy)"></span>
                                            </div>

                                        </div>
                        
                        	</div>
                        </div>
                    </div>
                    
                    
                    
                    
                    
                    
                </div>
            </div>
        </div>
         <div class="col-lg-4 col-md-4 col-sm-4 col-12">
        <div class="card flight-summary">

            <div class="card-header">
                Price Breakdown
            </div>
            <div class="card-body py-4">
                <ul class="cost-breakdown-list pt-3 pb-2">
                   <!--  <li class="section">
                        <div class="title">
                            Holiday
                            <span ng-show="fes.flightExtrasDescription.length > 0" class="extras sc-o-col-sm-6 ng-hide" option-counts="fbs.flight.ProductSpecificFields.OptionCounts">

                            </span>
                        </div>
                        <div class="total price">OMR {{totalFare}}</div>
                    </li> -->
					
					 <li class="section">
                        <div class="title">
                            Flight
                            <span ng-show="fes.flightExtrasDescription.length > 0" class="extras sc-o-col-sm-6 ng-hide" option-counts="fbs.flight.ProductSpecificFields.OptionCounts">

                            </span>
                        </div>
                        <div class="total price">{{currency}} {{flightReview.flightSearchResults[0].grndTotal|number:3}}</div>
                    </li>
					
					 <li class="section">
                        <div class="title">
                            Hotel
                            <span ng-show="fes.flightExtrasDescription.length > 0" class="extras sc-o-col-sm-6 ng-hide" option-counts="fbs.flight.ProductSpecificFields.OptionCounts">

                            </span>
                        </div>
                        <div class="total price">{{currency}} {{(repriceResp.repriceResponse.totalFare) | number : 3}}</div>
                    </li>

                    <li class="section">
                        <div class="title">Extras</div>
                        <div class="total price">{{currency}} {{extras|number:3}}</div>
                    </li>
                    <li class="section section-total">
                        <div class="title">Total Fare</div>
                        <!-- <div class="total price">{{currency}} {{flighthotelfare|number:3}}</div> -->
                        <div class="total price"><span ng-bind="currency"></span> &nbsp;<span ng-bind="flighthotelfare+ extras|number:3"></span></div>
                    </li>
                </ul>
            </div>

        </div>
        </div>
    </div>

    <div class="sc-c-header-bar mb-3">
        <h3>
            Handpick your holiday essentials
        </h3>
    </div>

    <div class="o-placeholder o-placeholder--sm">
        <div class="sc-c-box booking-options-panel">
            <div class="sc-c-box__content">
                <div class="c-panel-with-icon">
                    <i class="c-panel-with-icon__icon icon-insurance"></i>
                    <h3 class="c-panel-with-icon__heading">Add Travel Insurance</h3>
                    <p>Ensure your party is covered before you go.</p>
                    <div ng-repeat="plans in InsuranceDetails.availablePlans">
						<input type="radio" class="planradio" name="plans" id="plans" ng-click="getSelectedPlanId($index);" />
						<div class="planList">

							<div class="customLab" for="customRadio1">
								<a class="info-icon-link"><span ng-bind="plans.planTitle"></span>
									<i class="icon-information" ng-click="selectPlan($index,'lg', any);"></i>
								</a>
								<span class="c-panel-radio-fare">{{currency}} {{plans.totalFare| number : 3}}</span>
							</div>

						</div>
					</div>
					<input type="radio" class="planradio" name="plans" id="plans" checked ng-click="getSelectedPlanId($index);"/>
					<div class="planList">

						<div class="customLab" for="customRadio1">
							<a class="info-icon-link"><span>I have my own travel insurance</span></a>

						</div>

					</div>

                    <!-- <div class="custom-control custom-radio">
                        <input type="radio" id="customRadio1" name="customRadio" class="custom-control-input">
                        <label class="custom-control-label" for="customRadio1">Worldwide excluding US/CA - Comprehensive Single Trip 
                            <a href="#" class="info-icon-link">
                                <i class="icon-information"></i>
                            </a>
                            <span class="c-panel-radio-fare">OMR 242.00</span>
                        </label>
                    </div>
                    <div class="custom-control custom-radio">
                        <input type="radio" id="customRadio2" name="customRadio" class="custom-control-input">
                        <label class="custom-control-label" for="customRadio2">Worldwide excluding US/CA - Comprehensive Annual Multitrip
                            <a href="#" class="info-icon-link">
                                <i class="icon-information"></i>
                            </a>
                            <span class="c-panel-radio-fare">OMR 1,252.00</span>
                        </label>
                    </div>
                    <div class="custom-control custom-radio">
                        <input type="radio" id="customRadio3" name="customRadio" class="custom-control-input">
                        <label class="custom-control-label" for="customRadio3">I have my own travel insurance
                            <a href="#" class="info-icon-link">
                                <i class="icon-information"></i>
                            </a>
                        </label>
                    </div> -->
                    <p class="mb-3">The prices quoted are total prices for all travellers in your party.</p>
                    
                </div>

            </div>

        </div>

    </div>

    <div class="row mb-5">
        <div class="col"></div>
        <div class="col">
            <button type="button" class="btn btn-block btn-select btn-details" ui-sref="holidayBook">
                Book Now for <span ng-bind="currency"></span> &nbsp;<span ng-bind="flighthotelfare + extras|number:3"></span>
               
            </button>
        </div>
        <div class="col"></div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {

        //Disable part of page
        $('#cardNo').bind('cut copy paste', function (e) {
            e.preventDefault();
        });
    });
</script>
<script type="text/ng-template" id="flightInfo.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details 
	</h3>  
	<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>
</div>  
<div class="modal-body"> 
	<div class="sc-o-row">  
		<div class="sc-o-col-12 sc-u-grid-gutter-y ">

			<div class="search-result-container flight-details ">	

					<div class="flight-listing-popup flight-leg flight-listing"	     
						ng-repeat="(in,segment) in flightDetails1.segGrpList">

	     	     	      	          	   
						<div ng-repeat="(x,segmentList) in segment.segList">		     
							<div ng-repeat="(key,info) in segmentList.fltInfoList"> 
 
								<!-- <div class="flight-leg-header">
									<span class="flight-date">Departure {{info.dispStartDate}}</span>
								</div> -->
								<div class="flight-leg-header" ng-show="key==0">                                                                                               
         <span class="flight-date">Departure  {{info.dispStartDate}}</span>
        </div>
								<table class="flight-leg-breakdown">
									<tbody>
										<tr class="row-depart"> 
											<td class="col-airline" rowspan="2"> 
												<div class="airline-logo"> 
													<img src="images/Airlines/sm{{info.airline}}.png">
												</div> <!----> 
												<div class="flight-number">{{info.airline}}{{info.fltNum}}</div>	  
												<!---->
												<div class="segment-cabin">{{cabinClass}}</div>
											</td>
											<td class="col-time"><span class="flight-time">{{info.dispStartTime}}</span>
											</td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.origin.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.origin}}</span>
												</div>
											</td>
											<td class="col-leg-icon" rowspan="2">	     
												<div class="part part-point part-point-arrival">
													<div class="route-circle top"></div>
													<div class="route-circle bottom"></div>
													<span class="duration">{{flight.fromFlight.duration}}</span>
												</div>
											</td>   
											<td class="col-duration" rowspan="2">
												<div class="flight-duration">{{info.dispDuration}}</div>
											</td>	  
										</tr>

										<tr class="row-arrive">
											<td class="col-time"><span class="flight-time">{{info.dispArrTime}}</span>
												<!----></td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.dest.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.dest}}</span>
												</div>
											</td>
										</tr>

										<tr class="row-connection" ng-show="segmentList.fltInfoList.length!=(key+1)"> 

											<td class="col-airline"></td> 
											<td class="col-time"></td>  
											<td class="col-airport">
												<div class="connection-message">	      	 		 	      
													<span>Waiting in airport </span>	  	  
												</div>    	 
											</td>   	 
											<td class="col-leg-icon">			
												<div class="dots">		
													<div class="dot"></div>	  
													<div class="dot"></div>	   
													<div class="dot"></div> 
												</div>  
											</td>	        
 											<td class="col-duration" ng-init="getWaitingDuration(segmentList.fltInfoList[key].rawArrivalDate,segmentList.fltInfoList[key+1].rawDeptDate,in,x,key)"> 	 	      	     
												<div class="flight-duration"   ng-bind="waitingDuration[{{in}}{{x}}{{key}}]">	 	 				 
		 									</div>	  	 	  	  	          
											</td>  
										</tr>     
									</tbody>             
								 	<tfoot class="tfoot" ng-show="segmentList.fltInfoList.length ==(key+1)"> 	      	  	  	 	  			     	      	  	  
										<tr> 
											 <td colspan="2" class="col-date">Arrives on <span 
												class="flight-date">{{info.dispEndDate}}</span>	     
											</td>       
										</tr>
									</tfoot>  
								</table>
							</div>
						</div>
					</div>
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Return</button>
</div>
</script>
<script type="text/ng-template" id="aboutInsurance.html">
    <div class="modal-header">
    <h3 class="modal-title" id="modal-title">
    Insurance
</h3>
<button type="button" class="close" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">&times;</button>
</div>
<div class="modal-body">
<div class="sc-o-row">
    <div class="sc-o-col-12 sc-u-grid-gutter-y">
        <div class="search-result-container flight-details">
            <!-- <div ng-repeat="flightsearchResdetails in flightsearchResInfo.flightSearchResults track by $index"> -->
                <div class="flight-listing">
                    <div class="flight-legs-section">
                    <div class="flight-leg">
                        <div class="leg-header">
                                            <span class="flight-date" ng-bind="avaliablePlan.planTitle"></span>
                                        </div>
                        <div class="leg-main">
                            <div class="parts">
                                <p ng-bind-html="renderHTMLFactory.renderHTML(avaliablePlan.planContent)"></p>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                </div>
            <!-- </div> -->
            
        </div>
        
    </div>
</div>
</div>
<div class="modal-footer">

<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Return</button>
</div>
</script>
